{
    "doc": "A germline sample",
    "fields": [
        {
            "doc": "Sample identifier (e.g, LP00012645_5GH))",
            "name": "sampleId",
            "type": "string"
        },
        {
            "doc": "Lab sample identifier",
            "name": "labSampleId",
            "type": "int"
        },
        {
            "doc": "LDP Code (Local Delivery Partner)",
            "name": "LDPCode",
            "type": "string"
        },
        {
            "doc": "Source of the sample",
            "name": "source",
            "type": [
                "null",
                {
                    "doc": "The source of the sample",
                    "name": "SampleSource",
                    "symbols": [
                        "TUMOUR",
                        "BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS",
                        "BONE_MARROW_ASPIRATE_TUMOUR_CELLS",
                        "BLOOD",
                        "SALIVA",
                        "FIBROBLAST",
                        "TISSUE"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Product of the sample",
            "name": "product",
            "type": [
                "null",
                {
                    "name": "Product",
                    "symbols": [
                        "DNA",
                        "RNA"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Preparation method",
            "name": "preparationMethod",
            "type": [
                "null",
                {
                    "name": "PreparationMethod",
                    "symbols": [
                        "EDTA",
                        "ORAGENE",
                        "FF",
                        "FFPE",
                        "CD128_SORTED_CELLS",
                        "ASPIRATE"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Genomics England programme phase",
            "name": "programmePhase",
            "type": [
                "null",
                {
                    "name": "ProgrammePhase",
                    "symbols": [
                        "CRUK",
                        "OXFORD",
                        "CLL",
                        "IIP",
                        "MAIN",
                        "EXPT"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "The time when the sample was received. In the format YYYY-MM-DDTHH:MM:SS+0000",
            "name": "clinicalSampleDateTime",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "GermlineSample",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}